Bug 818072 - Notifier.java uses internal proprietary API and may be removed in a future release
Notifier.java uses internal proprietary API and may be removed in a future re...
Status: CLOSED DEFERRED
Product: oVirt
Classification: Community
Component: ovirt-engine-notificiations (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juan Hernández
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 03:12 EDT by Yaniv Kaul
Modified: 2014-12-17 07:53 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 13:02:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yaniv Kaul 2012-05-02 03:12:19 EDT
Description of problem:

When compiling on Fedora17 + Java 7:

[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[15,15] Signal is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[16,15] SignalHandler is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[96,57] SignalHandler is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[36,26] Signal is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[36,8] Signal is internal proprietary API and may be removed in a future release
[WARNING] /home/ykaul/ovirt-engine/backend/manager/tools/engine-notifier/engine-notifier-service/src/main/java/org/ovirt/engine/core/notifier/Notifier.java:[101,27] Signal is internal proprietary API and may be removed in a future release

Version-Release number of selected component (if applicable):
git hash f72b5db8d3df000e4af295da24b8bfc81ad7808a

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Juan Hernández 2012-05-30 12:20:08 EDT
Do we really want to fix this? I mean, it is just a warning, and those classes won't probably go away in the near future.

If we do want to fix it I see two alternatives:

1. Use JNA to invoke the "signal" system call, or sigaction, which is more correct and more complicated. The JNA package is available in most Linux distributions, including Fedora and RHEL.

2. Use an alternative stop mechanism, like listening to a socket bound to 127.0.0.1 and shutdown when someone connects. This brings issues like which port number to use and how to control who can connect and thus shutdown the service.

Which way do you want to go?
Comment 2 Itamar Heim 2012-05-30 13:02:56 EDT
ok, closing DEFERRED until becomes an issue
Comment 3 Sandro Bonazzola 2014-12-17 07:53:49 EST
DWH is affected too. Signal still available in Fedora 21.

Note You need to log in before you can comment on or make changes to this bug.